| CXXGraph 0.4.0 CXXGraph is a header only, that manages the Graphs and it's algorithm in C++

Public Member Functions | Friends | List of all members
CXXGRAPH::UndirectedWeightedEdge< T > Class Template Reference
Inheritance diagram for CXXGRAPH::UndirectedWeightedEdge< T >:
[legend]
Collaboration diagram for CXXGRAPH::UndirectedWeightedEdge< T >:
[legend]

## Public Member Functions
| UndirectedWeightedEdge (const unsigned long id, const Node< T > &node1, const Node< T > &node2, const double weight)
| UndirectedWeightedEdge (const unsigned long id, const std::pair< const Node< T > *, const Node< T > * > &nodepair, const double weight)
| UndirectedWeightedEdge (const UndirectedEdge< T > &edge, const double weight)
| UndirectedWeightedEdge (const Edge< T > &edge, const double weight)
| UndirectedWeightedEdge (const UndirectedEdge< T > &edge)
| UndirectedWeightedEdge (const Edge< T > &edge)
| UndirectedWeightedEdge (const DirectedWeightedEdge< T > &edge)
const std::optional< bool > | isWeighted () const override
| operator DirectedWeightedEdge< T > () const
Public Member Functions inherited from CXXGRAPH::UndirectedEdge< T >
| UndirectedEdge (const unsigned long id, const Node< T > &node1, const Node< T > &node2)
| UndirectedEdge (const unsigned long id, const std::pair< const Node< T > *, const Node< T > * > &nodepair)
| UndirectedEdge (const Edge< T > &edge)
const Node< T > & | getNode1 () const
const Node< T > & | getNode2 () const
const std::optional< bool > | isDirected () const override
| operator DirectedEdge< T > () const
Public Member Functions inherited from CXXGRAPH::Edge< T >
| Edge (const unsigned long long id, const Node< T > &node1, const Node< T > &node2)
| Edge (const unsigned long long id, const std::pair< const Node< T > *, const Node< T > * > &nodepair)
const unsigned long long & | getId () const
const std::pair< const Node< T > *, const Node< T > * > & | getNodePair () const
virtual bool | operator== (const Edge< T > &b) const
bool | operator< (const Edge< T > &b) const
Public Member Functions inherited from CXXGRAPH::Weighted
| Weighted (const double weight)
double | getWeight () const
void | setWeight (const double weight)

## Friends
std::ostream & | operator<< (std::ostream &os, const UndirectedWeightedEdge< T > &edge)

The documentation for this class was generated from the following files:

- /github/workspace/include/Edge/DirectedWeightedEdge.hpp
- /github/workspace/include/Edge/UndirectedWeightedEdge.hpp